%sym_laplace_2.m, regelungstechnische Anwendung der 
%LAPLACE-Transformation und LAPLACE-Rcktransformation
%mit der Symbolic Math Toolbox
clc; clf; clear all

%Definition der symbolischen Variablen mit syms
syms G GR GS KIR KS TS s t w_s x_s x_t
GR = KIR / s;             %Reglerbertragungsfunktion
GS = KS / (1 + TS*s);     %Streckenbertragungsfunktion
%bertragungsfunktion des geschlossenen Regelkreises
G = simplify(GR * GS /(1 + GR * GS)); %Vereinfachung
pretty (G);               %Ausgabe 
%G  substituieren:  KIR*KS = 1/(4*TS), KIR = 1/(4*TS*KS)
G = subs(G, {KIR}, {1/(4*TS*KS)})

G = simple(G);            %Vereinfachung
pretty (G);               %Ausgabe
w_s = 1 / s;              %Fhrungsgre w(s) Sprungaufschaltung
x_s = G * w_s             %Sprungantwort x(s) im Frequenzbereich
pretty (x_s);             %Ausgabe
x_t = ilaplace (x_s)      %LAPLACE-Rcktransformation
pretty (simplify(x_t));   %Ausgabe Sprungantwort x(t)
TEnd = 8; dt = 0.05; zeit = 0:dt:TEnd; %Zeitwerte

%symbolische Gleichung mit double-Werten substituieren
%substituieren   { alt } {   neu   }
x_t = subs (x_t, {t, TS},{zeit, 0.5}); % t = zeit,TS = 0.5 s
plot(zeit, x_t)
grid on, title ('Sprungantwort')
xlabel ('Zeit  t / s'), ylabel ('x(t)')

