%sym_ztrans_1.m z-Transformation und
%z-Rcktransformation mit der Symbolic Math Toolbox

clc; clear all
%Definition der symbolischen Variablen mit syms
syms k T T1 z f_k f_z

%Tabelle 11.5-2, Nr. 1, Einheitsimpulsfolge
%DIRAC-Impulsfolge, delta(k) = kroneckerDelta(k, 0)
f_k = 'kroneckerDelta(k, 0)';
f_z = ztrans (f_k, k, z)   %z-Transformation
f_k = iztrans(f_z, z, k)   %z-Rcktransformation

%Tabelle 11.5-2, Nr. 2, verschobene Einheitsimpulsfolge, DIRAC-Impulsfolge
%delta(k-1) = kroneckerDelta(k, 1)
f_k = 'kroneckerDelta(k, 1)';
f_z = ztrans (f_k, k, z)   %z-Transformation
f_k = iztrans(f_z, z, k)   %z-Rcktransformation

%Tabelle 11.5-2, Nr. 4, Einheitssprungfolge E(kT), 1^k
f_z = ztrans (1^k)         %z-Transformation
f_k = iztrans(f_z, z, k)   %z-Rcktransformation

%Tabelle 11.5-4, Nr. 37, E(kT) - exp(-kT/T1)
f_z = ztrans(1^k - exp(-k*T/T1), k, z) %z-Transformation
pretty (f_z)               %Bildschirmdarstellung
f_k = iztrans(f_z, z, k);  %z-Rcktransformation
pretty (simple(f_k));      %Bildschirmdarstellung
