%MATLAB Script-File dwok_167.m
%Wurzelortskurven (WOK) fr G(s) und G(z) einer Regelung
KR=2.676;KS=2;TS1=1;TS2=10;%Parameter P-Regler, Strecke
vw=(1+2*KR)/(2*KR);			%Vorfilter
numGS=KS; denGS=[TS1*TS2 TS1+TS2 1]; %Z{GS(s)}, N{GS(s)}
GS=tf(numGS,denGS);			%GS(s)
rlocus(KR*GS)             	%WOK fr GRS(s) zeichnen
title('\it{s-Ebene}')     	%Titel der Graphik
axis([-2 0.5 -1 1])       	%Skalierung
axis('equal')             	%gleicher Skalierungsfakt.
sgrid                     	%Gitterlinien fr D, w0
                          	%in der s-Ebene

figure						%neues Graphikfenster
T=1;                      	%Abtastzeit
dGHS=c2d(GS,T); 			%GHS(z) Hgl. nullter Ord.
dG=feedback(KR*dGHS,1); 	%G(z)
fprintf('\n z-Fhrungsbertragungsfunktion x(z)/w(z):')
dG=dG*vw					%G(z)*vw (Vorfilter vw)
rlocus(KR*dGHS)           	%WOK fr G(z) zeichnen  
title('\it{z-Ebene}')     	%Titel der Graphik
axis([-1.3 1.3 -1 1])     	%Skalierung
axis('equal')             	%gleicher Skalierungsfak.
zgrid                     	%Gitterlinien fr D, w0
                          	%in der z-Ebene

KR=rlocfind(KR*dGHS)  		%KR von G(z) fr bestimmt.
                            %Wurzelort ausgeben